class ACTION_CLASS_NAME(Action):
    def name(self) -> Text:
        return "ACTION_NAME"

    async def run(self, dispatcher, tracker, domain):
        response, restart = await action_controller.execute_normal_action(tracker, self.name())
        dispatcher.utter_message(text=response)
        if restart:
            return [Restarted()]
        return []